Bug 1279516 - [abrt] remmina: Stream_Free(): remmina killed by SIGSEGV
[abrt] remmina: Stream_Free(): remmina killed by SIGSEGV
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:cf0ce7ef235517f5f245c54a3ac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 10:52 EST by pedrorubiobeltran
Modified: 2016-02-06 15:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-06 15:53:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (59.94 KB, text/plain)
2015-11-09 10:52 EST, pedrorubiobeltran
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-09 10:52 EST, pedrorubiobeltran
no flags Details
File: core_backtrace (7.14 KB, text/plain)
2015-11-09 10:52 EST, pedrorubiobeltran
no flags Details
File: dso_list (12.37 KB, text/plain)
2015-11-09 10:52 EST, pedrorubiobeltran
no flags Details
File: environ (1.43 KB, text/plain)
2015-11-09 10:52 EST, pedrorubiobeltran
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-09 10:52 EST, pedrorubiobeltran
no flags Details
File: maps (64.44 KB, text/plain)
2015-11-09 10:52 EST, pedrorubiobeltran
no flags Details
File: mountinfo (3.15 KB, text/plain)
2015-11-09 10:52 EST, pedrorubiobeltran
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-09 10:52 EST, pedrorubiobeltran
no flags Details
File: open_fds (1.41 KB, text/plain)
2015-11-09 10:52 EST, pedrorubiobeltran
no flags Details
File: proc_pid_status (1011 bytes, text/plain)
2015-11-09 10:52 EST, pedrorubiobeltran
no flags Details
File: var_log_messages (233 bytes, text/plain)
2015-11-09 10:52 EST, pedrorubiobeltran
no flags Details

  None (edit)
Description pedrorubiobeltran 2015-11-09 10:52:26 EST
Version-Release number of selected component:
remmina-1.2.0-0.5.git.b3237e8.fc22

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        remmina
crash_function: Stream_Free
executable:     /usr/bin/remmina
global_pid:     4657
kernel:         4.2.5-201.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 Stream_Free at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/winpr/libwinpr/utils/stream.c:95
 #4 StreamPool_Clear at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/winpr/libwinpr/utils/collections/StreamPool.c:317
 #5 StreamPool_Free at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/winpr/libwinpr/utils/collections/StreamPool.c:363
 #6 transport_free at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/libfreerdp/core/transport.c:1233
 #7 rdp_free at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/libfreerdp/core/rdp.c:1437
 #8 freerdp_context_free at /usr/src/debug/FreeRDP-24a752a70840f3e4b027ba7c020af71f2bcfd94a/libfreerdp/core/freerdp.c:474
 #9 remmina_rdp_close_connection at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina-plugins/rdp/rdp_plugin.c:1101
 #10 remmina_protocol_widget_close_connection at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina/src/remmina_protocol_widget.c:321
 #11 remmina_connection_window_delete_event at /usr/src/debug/Remmina-b3237e832df87bffc176c4f4024000b3d2d776cf/remmina/src/remmina_connection_window.c:307
 #12 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
Comment 1 pedrorubiobeltran 2015-11-09 10:52:31 EST
Created attachment 1091808 [details]
File: backtrace
Comment 2 pedrorubiobeltran 2015-11-09 10:52:32 EST
Created attachment 1091809 [details]
File: cgroup
Comment 3 pedrorubiobeltran 2015-11-09 10:52:34 EST
Created attachment 1091810 [details]
File: core_backtrace
Comment 4 pedrorubiobeltran 2015-11-09 10:52:36 EST
Created attachment 1091811 [details]
File: dso_list
Comment 5 pedrorubiobeltran 2015-11-09 10:52:37 EST
Created attachment 1091812 [details]
File: environ
Comment 6 pedrorubiobeltran 2015-11-09 10:52:39 EST
Created attachment 1091813 [details]
File: limits
Comment 7 pedrorubiobeltran 2015-11-09 10:52:41 EST
Created attachment 1091814 [details]
File: maps
Comment 8 pedrorubiobeltran 2015-11-09 10:52:42 EST
Created attachment 1091815 [details]
File: mountinfo
Comment 9 pedrorubiobeltran 2015-11-09 10:52:44 EST
Created attachment 1091816 [details]
File: namespaces
Comment 10 pedrorubiobeltran 2015-11-09 10:52:46 EST
Created attachment 1091817 [details]
File: open_fds
Comment 11 pedrorubiobeltran 2015-11-09 10:52:47 EST
Created attachment 1091818 [details]
File: proc_pid_status
Comment 12 pedrorubiobeltran 2015-11-09 10:52:49 EST
Created attachment 1091819 [details]
File: var_log_messages
Comment 13 Pavel Alexeev 2016-01-02 15:27:04 EST
How it may be reproduced?
Comment 14 pedrorubiobeltran 2016-01-25 07:22:12 EST
Hi Pavel,

Sorry for the delay in my answer. I was unable to reproduce it so I guess we don't'have more info to work on it.

Regards,
Pedro
Comment 15 Pavel Alexeev 2016-02-06 15:53:04 EST
Ok, thanks for the feedback.

Note You need to log in before you can comment on or make changes to this bug.